%define subrel  1

Name:		mednafen
Version:	0.9.26
Release:	%mkrel 4
Summary:	Multi-consoles Emulator
License:	GPLv2+
URL:		http://mednafen.sourceforge.net/
Group:		Emulators
Source0:	https://prdownloads.sourceforge.net/mednafen/%{name}-%{version}-wip.tar.bz2
Patch0:		mednafen-0.9.26-wip-automake-1.13.patch
# Update bundled minilzo to version 2.08 to fix CVE-2014-4607 (mga#13947)
Patch1:         minilzo-2.08-upstream-CVE-2014-4607.patch

BuildRequires:	libcdio-devel
BuildRequires:	libvorbis-devel
BuildRequires:	SDL_net-devel
BuildRequires:	libsndfile-devel
BuildRequires:	alsa-lib-devel
BuildRequires:	zlib-devel
BuildRequires:	bison
BuildRequires:	SDL-devel
BuildRequires:	mesagl-devel
BuildRequires:	mesaglu-devel
BuildRequires:	pkgconfig(jack)

%description
Mednafen emulates several consoles:
	-Atari Lynx
	-GameBoy (Color)
	-GameBoy Advance
	-Neo Geo Pocket (Color)
	-NES
	-SNES
	-PC Engine (TurboGrafx 16)
	-PC-FX
	-Sega Master System & Game Gear
	-SuperGrafx
	-Virtual Boy
	-WonderSwan (Color)

Warning: No GUI.

%files -f %{name}.lang
%doc ChangeLog TODO installed-docs/*
%{_bindir}/%{name}
%{_datadir}/%{name}/c68k_op0.inc

#--------------------------------------------------------------------

%prep
%setup -q -n %{name}
%apply_patches

find ./src -type f -exec chmod 644 {} \;
find ./src -type d -exec chmod 755 {} \;

%build
autoreconf -vfi
%configure2_5x
%make

%install
%makeinstall_std

#docs
mv Documentation installed-docs
rm -rf installed-docs/Makefile*

%find_lang %{name}


%changelog
* Wed Aug 20 2014 akien <akien> 0.9.26-4.1.mga4
+ Revision: 665786
- Update bundled minilzo.c to version 2.08 to fix CVE-2014-4607 (mga#13947)

* Thu Oct 31 2013 tmb <tmb> 0.9.26-4.mga4.tainted
+ Revision: 548208
- Mageia 4 rebuild

* Thu Jan 17 2013 pterjan <pterjan> 0.9.26-3.mga4.tainted
+ Revision: 389214
+ rebuild (emptylog)

* Sun Jan 13 2013 luigiwalser <luigiwalser> 0.9.26-3.mga3.tainted
+ Revision: 362260
- fix for automake 1.13

  + umeabot <umeabot>
    - Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Dec 02 2012 wally <wally> 0.9.26-1.mga3.tainted
+ Revision: 325100
- new version 0.9.26wip
- drop upstreamed patch
- BR jack
- clean .spec a bit

* Mon Oct 31 2011 dmorgan <dmorgan> 0.9.18-2.mga2.tainted
+ Revision: 160247
- imported package mednafen

